# panos_import – import file on PAN-OS devices

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Import file on PAN-OS device

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

- requests

- requests_toolbelt

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
category - | Default: "software" | Category of file uploaded. The default is software. See API > Import section of the API reference for category options.
file - |  | Location of the file to import into device.
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
url - |  | URL of the file that will be imported to device.
username string | Default: "admin" | Username for authentication.

validate_certs
boolean
added in 2.6

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. Disabling certificate validation is not recommended.

## Notes

Note

- API reference documentation can be read from the `/api/` directory of your appliance

- Certificate validation is enabled by default as of Ansible 2.6. This may break existing playbooks but should be disabled with caution.

## Examples

    # import software image PanOS_vm-6.1.1 on 192.168.1.1
    - name: import software image into PAN-OS
      panos_import:
        ip_address: 192.168.1.1
        username: admin
        password: admin
        file: /tmp/PanOS_vm-6.1.1
        category: software

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.